Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.faces.component.portlet
Class JSFInvocation

    java.lang.Object
      org.jboss.portal.faces.component.portlet.JSFInvocation

    public class JSFInvocation

extends java.lang.Object

Version:
  $Revision: 11167 $
Author:
  Julien Viet

Constructor Summary
`JSFInvocation(javax.faces.context.FacesContext faces, UIPortlet uiportlet)`

Method Summary
`org.jboss.portal.portlet.invocation.response.PortletInvocationResponse` | `action(org.jboss.portal.portlet.Portlet portlet, org.jboss.portal.Mode mode, org.jboss.portal.WindowState windowState, org.jboss.portal.portlet.StateString interactionState)`
`org.jboss.portal.portlet.invocation.response.PortletInvocationResponse` | `render(org.jboss.portal.portlet.Portlet portlet, org.jboss.portal.Mode mode, org.jboss.portal.WindowState windowState, java.util.Map<java.lang.String,java.lang.String[]> navState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSFInvocation

    public JSFInvocation(javax.faces.context.FacesContext faces,
                         UIPortlet uiportlet)

Method Detail

### action

    public org.jboss.portal.portlet.invocation.response.PortletInvocationResponse action(org.jboss.portal.portlet.Portlet portlet,
                                                                                         org.jboss.portal.Mode mode,
                                                                                         org.jboss.portal.WindowState windowState,
                                                                                         org.jboss.portal.portlet.StateString interactionState)
                                                                                  throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### render

    public org.jboss.portal.portlet.invocation.response.PortletInvocationResponse render(org.jboss.portal.portlet.Portlet portlet,
                                                                                         org.jboss.portal.Mode mode,
                                                                                         org.jboss.portal.WindowState windowState,
                                                                                         java.util.Map<java.lang.String,java.lang.String[]> navState)
                                                                                  throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD